Update a webhook endpoint
Endpoints
Update a webhook endpoint
Requires Authorization: Bearer sk_* with the webhooks:manage scope. Updating event_types replaces the endpoint subscriptions.
PATCH
Update a webhook endpoint
Authorizations
Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.
Path Parameters
Pattern:
^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$Example:
"org_f6m39y94nh6fs513q03skj929c"
Pattern:
^we_[0-9a-f]{32}$Example:
"we_0123456789abcdef0123456789abcdef"
Body
application/json
Partial webhook endpoint update. Updating event_types replaces the endpoint subscriptions.
Minimum string length:
1Example:
"Acme Growth Workspace"
Example:
"https://app.acme.co/signup"
Available options:
active, disabled Example:
"active"
Minimum array length:
1Available options:
session.fingerprint.calculated, session.result.persisted, gate.session.approved Example:
["session.fingerprint.calculated"]Response
Webhook endpoint updated.
Example:
{
"object": "webhook_endpoint",
"id": "we_0123456789abcdef0123456789abcdef",
"name": "Acme Growth Workspace",
"url": "https://app.acme.co/signup",
"status": "active",
"event_types": ["session.fingerprint.calculated"],
"signing_secret": "whsec_0123456789abcdef0123456789abcdef",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}